<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/validators/CustomVeeValidators.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../index.html">all files</a> / <a href="index.html">src/validators/</a> CustomVeeValidators.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">31.82% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>7/22</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/11</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">31.82% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>7/22</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">/* eslint-disable */
export const cyrillic = {
  getMessage: field =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >'Проверьте раскладку клавиатуры',</span></span>
  validate: value =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >/^[а-яА-Я\sёЁ\.,-]*$/.test(value)</span></span>
}
&nbsp;
export const required = {
  getMessage: () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >'Тут всякая хуйня',</span></span>
}
&nbsp;
export const exceptLatinAndServiceChar = {
  getMessage: () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >'Разрешено вводить только русские буквы, цифры, дефисы, точки и пробелы',</span></span>
  validate: value =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >/^[а-яё\d \.-]+$/iu.test(value)</span></span>
}
&nbsp;
export const passportCode = {
  getMessage: () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >'Необходимо ввести 6 цифр',</span></span>
  validate: value =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >/\d{3}-\d{3}/iu.test(value)</span></span>
}
&nbsp;
export const serialAndNumber = {
  getMessage: () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >'Необходимо ввести 10 цифр',</span></span>
  validate: value =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >/\d{4} \d{6}/iu.test(value)</span></span>
}
&nbsp;
export const snils = {
  getMessage (field) {
<span class="cstat-no" title="statement not covered" >    return 'Вы ввели некорректный снилс'</span>
  },
  validate: value =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    return value.match(/\d/g).join('').length === 11</span>
  }
}
&nbsp;
export const mobilePhone = {
  getMessage (field) {
<span class="cstat-no" title="statement not covered" >    return 'Вы ввели некорректный телефон'</span>
  },
  validate: value =&gt; <span class="fstat-no" title="function not covered" >{</span>
    let phone = <span class="cstat-no" title="statement not covered" >value.match(/\d/g).join('').replace('7', '')</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >    console.log(phone.length, phone.length)</span>
<span class="cstat-no" title="statement not covered" >    return phone.length === 10</span>
  }
}
/* eslint-enable */
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../sorter.js"></script>
</body>
</html>
